Debian Bug report logs - #277410
localization-config: Provide wordlist preseeding also for dictionaries-common

version graph

Package: localization-config; Maintainer for localization-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for localization-config is src:localization-config.

Reported by: Javier Fernández-Sanguino Peña <jfs@computer.org>

Date: Tue, 19 Oct 2004 22:18:02 UTC

Severity: wishlist

Found in version 0.104

Fixed in version 1.07+nmu1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
New Bug report received and forwarded. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: submit@bugs.debian.org
Subject: localization-config: Provide wordlist preseeding also for dictionaries-common
Date: Wed, 20 Oct 2004 00:05:04 +0200
[Message part 1 (text/plain, inline)]
Package: localization-config
Version: 0.104
Priority: wishlist

Currently localization-config supports dictionaries-common's template
'dictionaries-common/default-ispell'. It does not, however, preseed another
value with is locale dependant which is the
'dictionaries-common/default-wordlist' template. 

I was considering preparing a patch but I seem unable to find where does
dictionaries-common obtain the values in order to define the $choices value
in the package's config. So I just thought it might be appropiate to report 
this bug (at least as a reminder)

Regards

Javier

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.gr>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #10 received at 277410@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.gr>
To: Javier Fernández-Sanguino Peña <jfs@computer.org>, 277410@bugs.debian.org
Subject: Re: Bug#277410: localization-config: Provide wordlist preseeding also for dictionaries-common
Date: Mon, 25 Oct 2004 12:31:34 +0300
On Τετ 20 Οκτ 2004 01:05, Javier Fernández-Sanguino Peña wrote:
> Package: localization-config
> Version: 0.104
> Priority: wishlist
>
> Currently localization-config supports dictionaries-common's
> template 'dictionaries-common/default-ispell'. It does not,
> however, preseed another value with is locale dependant which is
> the
> 'dictionaries-common/default-wordlist' template.

yeah, i wanted to do this as well, but I could find the correct values 
(just as you say below). I'm going to ask the maintainers, and when I 
have the info I'll do an upload.

> I was considering preparing a patch but I seem unable to find where
> does dictionaries-common obtain the values in order to define the
> $choices value in the package's config. So I just thought it might
> be appropiate to report this bug (at least as a reminder)

Yeah, it's good to remind me what I have to do, my memory is very 
bad... :-)



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agustin.martin@hispalinux.es>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #15 received at 277410@bugs.debian.org (full text, mbox):

From: Agustin Martin <agustin.martin@hispalinux.es>
To: 277410@bugs.debian.org, 279394-quiet@bugs.debian.org
Cc: Javier Fernández-Sanguino Peña <jfs@computer.org>, Lior Kaplan <webmaster@guides.co.il>
Subject: Re: localization-config: Provide wordlist preseeding also for dictionaries-common
Date: Fri, 5 Nov 2004 21:44:40 +0100
On Wed, Oct 20, 2004 at 12:05:04AM +0200, Javier Fernández-Sanguino Peña wrote:
> Package: localization-config
> Version: 0.104
> Priority: wishlist
> 
> Currently localization-config supports dictionaries-common's template
> 'dictionaries-common/default-ispell'. It does not, however, preseed another
> value with is locale dependant which is the
> 'dictionaries-common/default-wordlist' template. 
> 
> I was considering preparing a patch but I seem unable to find where does
> dictionaries-common obtain the values in order to define the $choices value
> in the package's config. So I just thought it might be appropiate to report 
> this bug (at least as a reminder)
> 

Hi, 

dictionaries-common.config should already take care of this after the
debian-installer/language and debian-installer/country values and set the
appropiate values and symlinks for both ispell and wordlists, although only
at the first install.

If you want to change all this afterwards, the code at
dictionaries-common.config might help you, but I am not sure it is
desirable, having an es_ES locale and using american as default ispell dict
is not frequent, but possible. 

By the way, I came to this bug report when tracking dictionaries-common
bug #279394 [dictionaries-common: Hebrew support while in d-i 2nd stage],
that seems to contain an error message by localization-config.

That error appears at the debian-installer 2nd stage and seems caused by the
localization-config dictionaries-common code being run for he_IL. Note that
at the first install dictionaries-common code will also be run for the same
purpose, setting ispell dict default, and having possible values hardcoded
in localization-config makes harder to track any change in the dict names or
the presence of new dictionaries.

Let me know if I reassign that bug report to localization-config. Cc'ing its
submitter.

Cheers,

-- 
Agustin



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@debian.gr>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #20 received at 277410@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.gr>
To: Agustin Martin <agustin.martin@hispalinux.es>, 277410@bugs.debian.org
Cc: 279394-quiet@bugs.debian.org, Javier Fernández-Sanguino Peña <jfs@computer.org>, Lior Kaplan <webmaster@guides.co.il>
Subject: Re: Bug#277410: localization-config: Provide wordlist preseeding also for dictionaries-common
Date: Fri, 5 Nov 2004 23:31:35 +0200
On Παρ 05 Νοε 2004 22:44, Agustin Martin wrote:
> Hi,
>
> dictionaries-common.config should already take care of this after
> the debian-installer/language and debian-installer/country values
> and set the appropiate values and symlinks for both ispell and
> wordlists, although only at the first install.

I originally added dictionaries-common support, because at first (at 
least at the versions i tested), it did not default to a dictionary 
depending on the locale chosen. If this has been changed, then of 
course I agree, l-c should disable this script altogether. On the other 
hand, if dictionaries-common doesn't default to a specific dictionary 
then I might need to keep this script. Especially in debian-edu/Skolelinux 
where automated configuration is desirable, setting the default dictionary 
is one important step in the installation process.

> If you want to change all this afterwards, the code at
> dictionaries-common.config might help you, but I am not sure it is
> desirable, having an es_ES locale and using american as default
> ispell dict is not frequent, but possible.
>
> By the way, I came to this bug report when tracking
> dictionaries-common bug #279394 [dictionaries-common: Hebrew
> support while in d-i 2nd stage], that seems to contain an error
> message by localization-config.

Also, at the time I tested that, I did not find any Hebrew support, but 
a) I could add this to l-c, or 
b) remove dictionaries-common support altogether if it does default to a 
proper dictionary at install.

Btw, right now, this is the current list of supported locales in the 
dictionaries-common script in l-c:

'bg_BG'      => { DICT => 'bulgarian (Bulgarian)'},
'ca_ES@euro' => { DICT => 'catala8 (Catalan 8 bits)'},
'cs_CZ'      => { DICT => 'czech (Czech)'},
'da_DK'      => { DICT => 'dansk (Danish)'},
'de_BE@euro' => { DICT => 'deutsch (New German 8 bit)'},
'de_CH'      => { DICT => 'deutsch (Swiss German 8 bit)' },
'de_DE@euro' => { DICT => 'deutsch (New German 8 bit)'},
# Greek does not use ispell, use aspell instead, defaults to ibritish
'el_GR.UTF-8'=> { DICT => 'british (British English)'},
'en_AU'      => { DICT => 'british (British English)'},
'en_CA'      => { DICT => 'british (British English)'},
'en_IE@euro' => { DICT => 'british (British English)'},
'en_US'      => { DICT => 'american (American English)'},
'es_AR'      => { DICT => 'castellano8 (Spanish 8 bit)'},
'es_ES@euro' => { DICT => 'castellano8 (Spanish 8 bit)'},
'es_MX'      => { DICT => 'castellano8 (Spanish 8 bit)'},
'es_PE'      => { DICT => 'castellano8 (Spanish 8 bit)'},
# New entry for Faroe Islands
'fo_FO'      => { DICT => 'froyskt (Faroese)' },
'fi_FI@euro' => { DICT => 'suomi (Finnish Large)'},
'fr_BE@euro' => { DICT => 'francais GUTenberg (French GUTenberg)'},
'fr_CA'      => { DICT => 'francais GUTenberg (French GUTenberg)'},
'fr_CH'      => { DICT => 'francais GUTenberg (French GUTenberg)'},
'fr_FR@euro' => { DICT => 'francais GUTenberg (French GUTenberg)'},
# New entry for Irish
'ga_IE@euro' => { DICT => 'Gaeilge (Irish)' },
# New entry for Scots Gaelic
'gd_GB'      => { DICT => 'Gaidhlig (Scots Gaelic)' },
# New entry for Galician
'gl_ES@euro' => { DICT => 'galego-minimos (Galician-minimos)' },
# New entry for Manx Gaelic
'gv_GB'      => { DICT => 'Gaelg (Manx Gaelic)' },
# New entry for Hungarian
'hu_HU'      => { DICT => 'magyar (Hungarian)' },
'it_IT@euro' => { DICT => 'italiano (Italian)'},
# Japanese does not have ispell support
#                   'ja_JP'      => { DICT => ''},
# Korean does not have ispell support
#                   'ko_KR'      => { DICT => ''},
'lt_LT'      => { DICT => 'lietuvių (Lithuanian)' },
# Latvian does not have ispell support
#                   'lv_LV'      => { DICT => 'lv'},
'nb_NO'      => { DICT => 'bokmål (Bokmal Norwegian)'}, # Same as no_NO
# Unknown dictionary
#                   'nds_DE'     => { DICT => ''},
'nl_BE@euro' => { DICT => 'nederlands (Dutch)'},
'nl_NL@euro' => { DICT => 'nederlands (Dutch)'},
'nn_NO'      => { DICT => 'nynorsk (New Norwegian)'},
'no_NO'      => { DICT => 'bokmål (Bokmal Norwegian)'}, # Same as nb_NO
'pl_PL'      => { DICT => 'polish (Polish)' },
'pt_PT@euro' => { DICT => 'portugues europeu (European Portuguese)' },
'pt_BR'      => { DICT => 'portugues brasileiro (Brazilian Portuguese)'},
'ru_RU'      => { DICT => 'russian (Russian koi8-r)' },
# Northern Saami is not yet available
#                   'se_NO'      => { DICT => 'sapmi'},
'sv_SE'      => { DICT => 'svenska (Swedish)'},
'uk_UA'      => { DICT => 'ukrainian (Ukrainian)' }


Konstantinos



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agustin.martin@hispalinux.es>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #25 received at 277410@bugs.debian.org (full text, mbox):

From: Agustin Martin <agustin.martin@hispalinux.es>
To: 277410@bugs.debian.org
Cc: 279394-quiet@bugs.debian.org, Javier Fernández-Sanguino Peña <jfs@computer.org>, Lior Kaplan <webmaster@guides.co.il>
Subject: Re: Bug#277410: localization-config: Provide wordlist preseeding also for dictionaries-common
Date: Sun, 7 Nov 2004 21:24:39 +0100
On Fri, Nov 05, 2004 at 11:31:35PM +0200, Konstantinos Margaritis wrote:

> I originally added dictionaries-common support, because at first (at 
> least at the versions i tested), it did not default to a dictionary 
> depending on the locale chosen. If this has been changed, then of 
> course I agree, l-c should disable this script altogether. On the other 
> hand, if dictionaries-common doesn't default to a specific dictionary 
> then I might need to keep this script. Especially in debian-edu/Skolelinux 
> where automated configuration is desirable, setting the default dictionary 
> is one important step in the installation process.

I added that code around February after people complaints about the high
priority of the questions (#228837). Code finally became a mechanish to
try guessing the default ispell dictionary/wordlist after the
debian-installer settings, or after the previous symlinks if upgrading
from woody, with different priorities depending on the quality of the
result,

a) Try exact match. If found -> set debconf value, question priority low
b) Try a reasonable fallback (e.g., en_GB, but no british dict is installed,
   but is an american one)   -> set value with question priority medium
c) Try an english variant    -> set value with question priority medium
d) None of the above         -> ask question with priority critical

Note that while priorities in (b-d) possibilities look high, in practice
they should not result in a debconf question being prompted for any but
very special setups, since most of these will have a single ispell
dictionary/wordlist installed. Also, if values are previously set, nothing
will be changed.

While it does not default to a specific dictionary, in any minimally
programmed installation (I cannot think of Skolelinux not installing a
dictionary/wordlist corresponding to the current locale if available) should
not be a problem. Will only leave the question pending at maximal priority
if e.g., language is es_ES, and no spanish or english dict is to be
installed, but are german and french, or similar setups. I just had a quick
look at the l-c dictionaries-common code, but seemed that for that scenario,
it would have set ispell-default to the spanish value, even if it is not to
be installed, thus producing errors in the postinst stage.

dictionaries-common.config code still does no additional magic for
encodings in language strings like xx_XX@encoding, but I do not expect
this to be currently a problem, although it might be in the post-sarge
future. I still have to think about how to deal with this.

What I fear now is that this system has only been massively checked for
wordlists because if l-c sets the debian/default-ispell,
dictionaries-common.config would not set it again, just issue a warning
message, and that makes problems like #263402 more difficult to become
evident.

> Also, at the time I tested that, I did not find any Hebrew support, but 
> a) I could add this to l-c, or 

There is no hebrew support in dictionaries-common, since hebrew uses hspell
and seems that there is no hebrew wordlist in Debian; the only problem is
that when l-c/dictionaries-common is called for he_IL, an error message
appears and that might confuse users, that think that something is going
wrong, while it is a harmless message.

> Btw, right now, this is the current list of supported locales in the 
> dictionaries-common script in l-c:

Just some quick comments

> 'es_AR'      => { DICT => 'castellano8 (Spanish 8 bit)'},
> 'es_ES@euro' => { DICT => 'castellano8 (Spanish 8 bit)'},
> 'es_MX'      => { DICT => 'castellano8 (Spanish 8 bit)'},
> 'es_PE'      => { DICT => 'castellano8 (Spanish 8 bit)'},

Some other spanish speaking american locales: 

es_BO, es_CL, es_CO, es_CR, es_DO, es_EC, es_GT, es_HN, es_NI, es_PA, es_PR,
es_PY, es_UY, es_VE, 

and might be others, it would be currently simpler to put all them under a
single entry line 'es' => { DICT => 'castellano8 (Spanish 8 bit)'} and try
guessing after them,

> 'nb_NO'      => { DICT => 'bokmål (Bokmal Norwegian)'}, # Same as no_NO
> 'no_NO'      => { DICT => 'bokmål (Bokmal Norwegian)'}, # Same as nb_NO

These are now utf8 encoded strings

Cheers,

-- 
Agustin



Information forwarded to debian-bugs-dist@lists.debian.org, Konstantinos Margaritis <markos@debian.org>:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agustin.martin@hispalinux.es>:
Extra info received and forwarded to list. Copy sent to Konstantinos Margaritis <markos@debian.org>. Full text and rfc822 format available.

Message #30 received at 277410@bugs.debian.org (full text, mbox):

From: Agustin Martin <agustin.martin@hispalinux.es>
To: 277410@bugs.debian.org
Cc: 279394-quiet@bugs.debian.org, Lior Kaplan <webmaster@guides.co.il>
Subject: Merging bugs about warnings from sarge/dictionaries-common
Date: Thu, 11 Nov 2004 15:37:34 +0100
reassign 279394 localization-config
close 279394
retitle 279394 localization-config: Hebrew support while in d-i 2nd stage
merge 280116 279394 
thanks

On Sun, Nov 07, 2004 at 09:24:39PM +0100, Agustin Martin wrote:
> > Also, at the time I tested that, I did not find any Hebrew support, but 
> > a) I could add this to l-c, or 
> 
> There is no hebrew support in dictionaries-common, since hebrew uses hspell
> and seems that there is no hebrew wordlist in Debian; the only problem is
> that when l-c/dictionaries-common is called for he_IL, an error message
> appears and that might confuse users, that think that something is going
> wrong, while it is a harmless message.

Seems that this is the same as #280116 [localization-config: frighten
warning] that should have been fixed in localization-config (0.108). From
its changelog.

   * Removed ugly debugging message in sarge/dictionaries-common,
     thanks to Kenshi Muto for the pointer (Closes: #280116)

Thus, reassigning #279394 to localization-config, closing it and merging
with #280116.

Cheers,

-- 
Agustin



Information stored:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #35 received at 277410-quiet@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: debian-i18n@lists.debian.org
Cc: 277410-quiet@bugs.debian.org
Subject: Re: Final report from the internationalisation team meeting in Extremadura
Date: Tue, 26 Sep 2006 00:43:34 +0200
On Sun, Sep 17, 2006 at 07:23:55PM +0200, Christian Perrier wrote:
> The first Debian internationalisation meeting occurred from September
> 7th 2006 to September 9th 2006 in Casar de Caceres, Extremadura,
> Spain.
...
> Localization-config (l-c) revival
> ---------------------------------
> Christian Perrier presented the l-c package, which was aimed at
> completing the system localization on installed systems, in relation
> with D-I.
> 
> l-c is used in the sarge installer to handle various
> localization/internationalization related parameters, which are not
> considered to be properly handled in the relevant packages: X serever
> keyboard settings, GDM localization, dictionaries settings, 

Regarding dictionaries settings (ispell dicts and wordlists), there is also
code in dictionaries-common to handle that, unless the relevant debconf
value is already set. 

Current status was that localization-config sets ispell dictionary-default
after initial country/lang settings, so dictionaries-common skip this, but
does the job for wordlists, where localization-config does nothing. I do not
know if this has changed recently.

In a bug report [#277410 localization-config: Provide wordlist preseeding
also for dictionaries-common] I explained how the dictionaries-common system
works for default selection and why I think there is no need to add anything
for wordlists, because current code already handles that.

I also suggested that might be better to disable default ispell dict
selection from localization-config, and test better the dictionaries-common
way, because it relies on really to be installed dicts, tries to set
reasonable fallbacks if there is no good (country,lang)->dict match, and
seems easier to maintain to me ;-). 

Since I received no reply to my last mail about that I considered that
thread as frozen, but after your mail I think is time to think again where
we should do the job.

[Please cc me on replies, I am not subscribed to debian-i18n list]

-- 
Agustin



Information stored:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #40 received at 277410-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Agustin Martin <agmartin@debian.org>
Cc: debian-i18n@lists.debian.org, 277410-quiet@bugs.debian.org
Subject: Re: Final report from the internationalisation team meeting in Extremadura
Date: Tue, 26 Sep 2006 06:45:13 +0200
[Message part 1 (text/plain, inline)]
Quoting Agustin Martin (agmartin@debian.org):

> Regarding dictionaries settings (ispell dicts and wordlists), there is also
> code in dictionaries-common to handle that, unless the relevant debconf
> value is already set. 
> 
> Current status was that localization-config sets ispell dictionary-default
> after initial country/lang settings, so dictionaries-common skip this, but
> does the job for wordlists, where localization-config does nothing. I do not
> know if this has changed recently.
> 
> In a bug report [#277410 localization-config: Provide wordlist preseeding
> also for dictionaries-common] I explained how the dictionaries-common system
> works for default selection and why I think there is no need to add anything
> for wordlists, because current code already handles that.

Well, it is very likely that you are right. Indeed, l-c is mostly
meant to circumvent defects on default installs. In a perfect worls
where all packages properly use the locale settings to set their
defaults, there should be no need for l-c...:-)

So, actually, what you suggest is that l-c does nothing with regards
to dictionaries and wordlists, when the local system is an etch
system, right?



I agreee with that approach and, if the activity on l-c revives, I
would recommend removing the code dealing with dictionaries and
wordlists. This will need either Konstantinos to come back to hacking
life....or someone else to help on l-c maintenance. I have just been
able to revive it a little. Just enough for running it during d-i
installs, but there's a lot of testing to do....and probably some code
to change....and, for this, we need a good Perl programmer.

Gerfried Fuchs mentioned in Extremadura that he will look at
l-c.....I'm just afraid that he maybe has been too ambitious with his
time...:-)


[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agustin.martin@hispalinux.es>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #45 received at 277410-quiet@bugs.debian.org (full text, mbox):

From: Agustin Martin <agustin.martin@hispalinux.es>
To: debian-i18n@lists.debian.org, 277410-quiet@bugs.debian.org
Subject: Re: Final report from the internationalisation team meeting in Extremadura
Date: Tue, 26 Sep 2006 12:31:09 +0200
On Tue, Sep 26, 2006 at 06:45:13AM +0200, Christian Perrier wrote:
> Quoting Agustin Martin (agmartin@debian.org):
> 
> > Regarding dictionaries settings (ispell dicts and wordlists), there is also
> > code in dictionaries-common to handle that, unless the relevant debconf
> > value is already set. 
> > 
> > Current status was that localization-config sets ispell dictionary-default
> > after initial country/lang settings, so dictionaries-common skip this, but
> > does the job for wordlists, where localization-config does nothing. I do not
> > know if this has changed recently.
> > 
> > In a bug report [#277410 localization-config: Provide wordlist preseeding
> > also for dictionaries-common] I explained how the dictionaries-common system
> > works for default selection and why I think there is no need to add anything
> > for wordlists, because current code already handles that.
> 
> Well, it is very likely that you are right. Indeed, l-c is mostly
> meant to circumvent defects on default installs. In a perfect worls
> where all packages properly use the locale settings to set their
> defaults, there should be no need for l-c...:-)
> 
> So, actually, what you suggest is that l-c does nothing with regards
> to dictionaries and wordlists, when the local system is an etch
> system, right?

Yes,

While this can now be done only for etch, note that dictionaries-common code
was already in sarge for ispell dicts and wordlists (It is mostly the same
code). The only difference is that code was not actually run for ispell
dictionaries because there was already a debconf setting for ispell default
dict (due to localization config), but was run for wordlists where
localization-config set no values. 

So all real life testing was done about wordlists, but during a long
time (since sarge released). Since is mostly the same code I expect no
problems when using it in real life for ispell dicts. 

> I agreee with that approach and, if the activity on l-c revives, I
> would recommend removing the code dealing with dictionaries and
> wordlists.

Instead of directly removing it, I would start disabling the ispell dict
part. Last time I checked (this was long ago) nothing was done for
wordlists, so no need to worry about. If everything works well we can
later remove that code.

> This will need either Konstantinos to come back to hacking
> life....or someone else to help on l-c maintenance. I have just been
> able to revive it a little. Just enough for running it during d-i
> installs, but there's a lot of testing to do....and probably some code
> to change....and, for this, we need a good Perl programmer.

I am rather busy right now, but if I find some time will try looking at
l-c for this particular issue.

-- 
Agustin      [not subscribed to debian-i18n]



Information stored:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #50 received at 277410-quiet@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: debian-i18n@lists.debian.org
Cc: Agustin Martin <agmartin@debian.org>, 277410-quiet@bugs.debian.org
Subject: Re: Final report from the internationalisation team meeting in Extremadura
Date: Tue, 26 Sep 2006 19:55:54 +0200
[Message part 1 (text/plain, inline)]
On Tuesday 26 September 2006 00:43, Agustin Martin wrote:
> I also suggested that might be better to disable default ispell dict
> selection from localization-config, and test better the
> dictionaries-common way, because it relies on really to be installed
> dicts, tries to set reasonable fallbacks if there is no good
> (country,lang)->dict match, and seems easier to maintain to me ;-).

This way has effectively been used during the last 6 or so months and I 
have one major issue with it.

If I do a normal installation (with or without desktop) with en_US as 
locale, both an American and British Ispell dictionary are installed. And 
the default is: _British_.

For wordlist, only an American dictionary is installed, so there the 
default is correct.

During past installations I have seen the actual questions being asked, 
but for some reason I currently cannot reproduce that. However, this did 
show the cause, because for Ispell the "default dictionary" question 
would be asked _two_  times:
- the first: British, manual (default: British)
- the second: American, British, manual symlinks (default: again British,
  probably because that was selected the first time)

The reason probably is that the installation of each individual dictionary 
package prompts the "asking" of the "default dictionary" question and the 
default is only determined the first time (when only British appears to 
be available). And thus the order in which packages are installed 
influences the final outcome.

IMO dictionaries-common should ensure that the default actually matches 
the locale selected during installation before abandoning the use of 
localization-config for it can be seriously considered.

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information stored:
Bug#277410; Package localization-config. Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #55 received at 277410-quiet@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: debian-i18n@lists.debian.org, 277410-quiet@bugs.debian.org
Subject: Re: Final report from the internationalisation team meeting in Extremadura
Date: Tue, 26 Sep 2006 22:40:05 +0200
On Tue, Sep 26, 2006 at 07:55:54PM +0200, Frans Pop wrote:
> On Tuesday 26 September 2006 00:43, Agustin Martin wrote:
> > I also suggested that might be better to disable default ispell dict
> > selection from localization-config, and test better the
> > dictionaries-common way, because it relies on really to be installed
> > dicts, tries to set reasonable fallbacks if there is no good
> > (country,lang)->dict match, and seems easier to maintain to me ;-).
> 
> This way has effectively been used during the last 6 or so months and I 
> have one major issue with it.
> 
> If I do a normal installation (with or without desktop) with en_US as 
> locale, both an American and British Ispell dictionary are installed. And 
> the default is: _British_.

Are you sure that is dictionaries-common code what is being run for ispell
dictionaries?, I see no reference in localization-config changelog. I am
looking very quickly at localization-config code, but seems that it will run
/usr/lib/localization-config/ispell.preinst, and so seems that
localization-config is taking care of this, correctly or incorrectly.
(Either I am missing something or it will not work the other way, with
/usr/lib/localization-config/sarge/dictionaries-common seeming to miss a
British entry)

With the script I use to test this kind of things, and a number of ispell
dicts and wordlists installed, I get (this just sets
debian-installer/language, voids dicts and wordlists defaults and rerun
dictionaries-common script in debug mode)

---------------------------------------------------------------------------
# ./test-dictcommon-config en_US:en_GB:es_ES
Doing with Language: en_US:en_GB:es_ES; Country: 
Trying langkey en_US
 Trying package iamerican
* Guessed [d-i]->(ispell,en,US)
  errorcode: 0; dictionaries-common/default-ispell
  Old:[unset] --> New:[american (American English)]
Not tried: bg, ca, cs, da, de, de:1, de_CH, en_AU, en_CA, en_CA:1, en_GB,
en_US:1, eo, es, fi, fo, fr, ga, gd, gl, gv, hu, it, lt, nb, nl, nn, pl, pt,
pt_BR, ru, sv, tl, uk
---
Trying langkey en_US
 Trying package wamerican
* Guessed [d-i]->(wordlist,en,US)
  errorcode: 0; dictionaries-common/default-wordlist
  Old:[unset] --> New:[american (American English)]
Not tried: bg, ca, cs, da, de, de:1, de_CH, en_AU, en_CA, en_CA:1, en_GB,
en_US:1, eo, es, fi, fo, fr, ga, gd, gl, gv, hu, it, lt, nb, nl, nn, pl, pt,
pt_BR, ru, sv, tl, uk
---------------------------------------------------------------------------

with installed

wordlists:
  miscfiles  wamerican  wbritish  wcatalan  wngerman  wspanish

ispell dictionaries:
  iamerican  ibritish  icatalan  iesperanto  ifrench  igalician-minimos
  iitalian  ingerman  inorwegian  iogerman  ipolish  ispanish  iswiss

> 
> For wordlist, only an American dictionary is installed, so there the 
> default is correct.
> 
> During past installations I have seen the actual questions being asked, 
> but for some reason I currently cannot reproduce that. However, this did 
> show the cause, because for Ispell the "default dictionary" question 
> would be asked _two_  times:
> - the first: British, manual (default: British)
> - the second: American, British, manual symlinks (default: again British,
>   probably because that was selected the first time)
> 
> The reason probably is that the installation of each individual dictionary 
> package prompts the "asking" of the "default dictionary" question and the 
> default is only determined the first time (when only British appears to 
> be available). And thus the order in which packages are installed 
> influences the final outcome.

Things behave completely different on first global install along with
dictionaries-common than for later individual dicts installation. For
individual dicts instalation is just a new alternative the user is
asked for. If at that time more than one dict is installed at the same
time shared question should be asked just once. But for installation
from scratch no question should be asked unless the relationship
between locale and dicts to be installed is strange.

However if preseeding is done by localization-config to an ispell dict
that is not to be installed, first ispell dict postinst will complain about
a bad value, and reask question. Note that localization-config does not know
which ispell dicts are to be installed the first time, so if you set
language to en_US, but only install british dict (you are free for that, of
course) the question will be explicitely prompted again because the default
link cannot be set. This should (I hope) not happen with dictionaries-common
code.

> IMO dictionaries-common should ensure that the default actually matches 
> the locale selected during installation before abandoning the use of 
> localization-config for it can be seriously considered.

dictionaries-common relies on debian-installer/{language,country} while
localization-config seems to rely on LANG, but that should not make a
difference. Which are the values of debian-installer/{language,country} and
LANG at the problematic system?

-- 
Agustin [not subscribed to debian-i18n, please cc me on replies]



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 11 May 2013 10:06:08 GMT) Full text and rfc822 format available.

Notification sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Bug acknowledged by developer. (Sat, 11 May 2013 10:06:08 GMT) Full text and rfc822 format available.

Message #60 received at 277410-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 277410-done@bugs.debian.org,427304-done@bugs.debian.org,440356-done@bugs.debian.org,
Cc: localization-config@packages.debian.org, localization-config@packages.qa.debian.org
Subject: Bug#707557: Removed package(s) from unstable
Date: Sat, 11 May 2013 10:03:56 +0000
Version: 1.07+nmu1+rm

Dear submitter,

as the package localization-config has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/707557

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Jun 2013 07:28:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:25:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.